26. Januar 2020

Forum

Autokey in openSUSE...
 

Autokey in openSUSE und Debian  

  RSS

ashamp
(@ashamp)
Active Member
Beigetreten: 3 Monaten zuvor
Beiträge: 5
30/12/2019 8:32 pm  

Der Zustand Heute.

In beiden Anbietern kommt die selbe Fehlermeldung:

 

"Fatal error starting AutoKey:"

utf-8 codec can't decode ...

Diese Meldung überraschte mich Heute auf der Debian Platte, da dies vor 3 Tagen nicht war.

Und alles was sich unter Lösungen im Internet darstellte führte zu keiner Veränderung.

Hast Du Robert eine Ahnung?

 

Herzlichen Dank

ashamp@ashamp:~> autokey-gtk
^CTraceback (most recent call last):
File "/usr/lib/python3.7/site-packages/autokey/configmanager.py", line 83, in get_config_manager
configManager = ConfigManager(autoKeyApp)
File "/usr/lib/python3.7/site-packages/autokey/configmanager.py", line 407, in __init__
self.load_global_config()
File "/usr/lib/python3.7/site-packages/autokey/configmanager.py", line 562, in load_global_config
f.load()
File "/usr/lib/python3.7/site-packages/autokey/model.py", line 452, in load
self.load_children()
File "/usr/lib/python3.7/site-packages/autokey/model.py", line 463, in load_children
f.load(self)
File "/usr/lib/python3.7/site-packages/autokey/model.py", line 452, in load
self.load_children()
File "/usr/lib/python3.7/site-packages/autokey/model.py", line 463, in load_children
f.load(self)
File "/usr/lib/python3.7/site-packages/autokey/model.py", line 452, in load
self.load_children()
File "/usr/lib/python3.7/site-packages/autokey/model.py", line 463, in load_children
f.load(self)
File "/usr/lib/python3.7/site-packages/autokey/model.py", line 452, in load
self.load_children()
File "/usr/lib/python3.7/site-packages/autokey/model.py", line 474, in load_children
i.load(self)
File "/usr/lib/python3.7/site-packages/autokey/model.py", line 670, in load
self.phrase = inFile.read()
File "/usr/lib64/python3.7/codecs.py", line 322, in decode
(result, consumed) = self._buffer_decode(data, self.errors, final)
UnicodeDecodeError: 'utf-8' codec can't decode byte 0xe4 in position 213: invalid continuation byte

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/lib/python3.7/site-packages/autokey/gtkapp.py", line 98, in __init__
self.initialise(options.configure)
File "/usr/lib/python3.7/site-packages/autokey/gtkapp.py", line 140, in initialise
self.configManager = cm.get_config_manager(self)
File "/usr/lib/python3.7/site-packages/autokey/configmanager.py", line 92, in get_config_manager
return get_config_manager(autoKeyApp, True)
File "/usr/lib/python3.7/site-packages/autokey/configmanager.py", line 83, in get_config_manager
configManager = ConfigManager(autoKeyApp)
File "/usr/lib/python3.7/site-packages/autokey/configmanager.py", line 407, in __init__
self.load_global_config()
File "/usr/lib/python3.7/site-packages/autokey/configmanager.py", line 562, in load_global_config
f.load()
File "/usr/lib/python3.7/site-packages/autokey/model.py", line 452, in load
self.load_children()
File "/usr/lib/python3.7/site-packages/autokey/model.py", line 463, in load_children
f.load(self)
File "/usr/lib/python3.7/site-packages/autokey/model.py", line 452, in load
self.load_children()
File "/usr/lib/python3.7/site-packages/autokey/model.py", line 463, in load_children
f.load(self)
File "/usr/lib/python3.7/site-packages/autokey/model.py", line 452, in load
self.load_children()
File "/usr/lib/python3.7/site-packages/autokey/model.py", line 463, in load_children
f.load(self)
File "/usr/lib/python3.7/site-packages/autokey/model.py", line 452, in load
self.load_children()
File "/usr/lib/python3.7/site-packages/autokey/model.py", line 474, in load_children
i.load(self)
File "/usr/lib/python3.7/site-packages/autokey/model.py", line 670, in load
self.phrase = inFile.read()
File "/usr/lib64/python3.7/codecs.py", line 322, in decode
(result, consumed) = self._buffer_decode(data, self.errors, final)
UnicodeDecodeError: 'utf-8' codec can't decode byte 0xe4 in position 213: invalid continuation byte

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/bin/autokey-gtk", line 11, in <module>
load_entry_point('autokey==0.95.4', 'console_scripts', 'autokey-gtk')()
File "/usr/lib/python3.7/site-packages/autokey/gtkui/__main__.py", line 8, in main
a = Application()
File "/usr/lib/python3.7/site-packages/autokey/gtkapp.py", line 101, in __init__
self.show_error_dialog(_("Fatal error starting AutoKey.\n") + str(e))
File "/usr/lib/python3.7/site-packages/autokey/gtkapp.py", line 284, in show_error_dialog
dlg.run()
File "/usr/lib64/python3.7/site-packages/gi/overrides/Gtk.py", line 583, in run
return Gtk.Dialog.run(self, *args, **kwargs)
File "/usr/lib64/python3.7/contextlib.py", line 119, in __exit__
next(self.gen)
File "/usr/lib64/python3.7/site-packages/gi/_ossighelper.py", line 251, in register_sigint_fallback
signal.default_int_handler(signal.SIGINT, None)
KeyboardInterrupt

Zitat
Schlagwörter für Thema
Robert Goedl
(@robert-goedl)
Mitglied Admin
Beigetreten: 4 Monaten zuvor
Beiträge: 24
30/12/2019 8:51 pm  

Sieht nach einem Problem im Zusammespiel mit Python aus, am besten die Entwickler informieren. Ich werde gleich mal einen Beitrag für das Erstellen von Fehlermeldungen schreiben 😊 


AntwortZitat
Robert Goedl
(@robert-goedl)
Mitglied Admin
Beigetreten: 4 Monaten zuvor
Beiträge: 24
30/12/2019 10:05 pm  

Der Artikel wie man unter Debian GNU/Linux Fehler meldet findet sich ab sofort unter https://www.linux-bibel-oesterreich.at/2019/12/30/fehler-in-software-bei-debian-melden/


AntwortZitat
ashamp
(@ashamp)
Active Member
Beigetreten: 3 Monaten zuvor
Beiträge: 5
30/12/2019 10:53 pm  

Daran hatte ich auch schon gedacht. Erstmal Danke.

Ich habe mit "Wine --> Winetricks "AutoHotKey" installaiert, in openSUSE tumbleweed.

Das Programm läßt sich starten.

Ich habe nur noch nicht Aufmerksamkeit investiert, da ich die Linux Packages nutzen will.

 

Bis bald


AntwortZitat
ashamp
(@ashamp)
Active Member
Beigetreten: 3 Monaten zuvor
Beiträge: 5
30/12/2019 11:15 pm  

Zu später Stund auf openSUSE Forum gefunden

 https://forums.opensuse.org/showthread.php/530400-Autokey-requires-python-kde4-but-python-kde4-no-longer-available?highlight=autokey 

Mache ich mal Morgen, 31.12.2019, ein gelungener Abschied 2019?????

Bis bald


AntwortZitat
ashamp
(@ashamp)
Active Member
Beigetreten: 3 Monaten zuvor
Beiträge: 5
31/12/2019 10:58 am  

Hat nichts verändert


AntwortZitat
Robert Goedl
(@robert-goedl)
Mitglied Admin
Beigetreten: 4 Monaten zuvor
Beiträge: 24
31/12/2019 11:05 am  

Ich würde mal den Fehlerbericht hoch jagen 😉


AntwortZitat
ashamp
(@ashamp)
Active Member
Beigetreten: 3 Monaten zuvor
Beiträge: 5
31/12/2019 11:37 am  

@robert-goedl

Ich habe die Debian Festplatte verlassen, Neustart mit openSUSE.

Was für ein Witz, Atokey startet, sogar mit der ersten Phrase ?!?!?!

Ich bin sprachlos.

Ich werde heute im Alten nicht mehr zur Debian Platte wechseln und den Fehlerbericht aufzeichnen.

Herzlichst


AntwortZitat

2,535 total views, 200 views today

Bitte Anmelden oder Registrieren